bullets = {}
bullet_image = love.graphics.newImage("bullet.png")
-- bullet creating
function MakeBullet(x,y,ss,owner) -- x and y  of created bullet , direction (1,-1) and owner
	local b ={}
	b.owner = owner
	b.s = ss*(500)
	b.x = x
	b.y = y-2
	b.h = bullet_image:getHeight( )
	b.w = bullet_image:getWidth( )
	table.insert(bullets, b)
end

--updating
function BulletUpdate(dt)
	for i,e in pairs (bullets) do
		e.x = e.x + e.s * dt
		if e.x < -25 or e.x > 800 then
			table.remove(bullets,i)
		end
	end
end

--drawing
function DrawBullets()
	for i,e in ipairs(bullets) do
		g.setColor (255, 255, 255)
		g.draw(bullet_image, e.x, e.y, 0, 1, 1, 0, 0)
	end
end

-- colliding with enemy
function Enemy_Bullet_Collision()
	for i,e in pairs(bullets)do
		for i2,e2 in pairs(enemyList) do
			if CheckCollision(e.x, e.y, e.w, e.h,  e2.x, e2.y, e2.w, e2.h) == true and e.owner == "player" then
				table.remove(bullets,i)
				e2.HP = e2.HP - 1
			end
		end
	end
end

-- colliding with player
function Player_Bullet_Collision()
	for i,e in pairs(bullets)do
		for i2,e2 in pairs(playerList) do
			if CheckCollision(e2.x, e2.y, e2.w, e2.h,  e.x, e.y, e.w, e.h) == true and e.owner == enemy then
				e2.HP = e2.HP - 1
				table.remove(bullets,i)
			end
		end
	end
end